package v0

// DO NOT EDIT: this file is automatically generated by ./tools/generator in this repo

type Request struct {
	ID      string `json:"id" yaml:"id"`
	Version string `json:"version" yaml:"version"`
	Type    string `json:"type" yaml:"type"`
}

type AnswerMessage struct {
	ID     int64  `json:"id,omitempty" yaml:"id,omitempty"`
	Opaque string `json:"opaque,omitempty" yaml:"opaque,omitempty"`
	Sdp    string `json:"sdp,omitempty" yaml:"sdp,omitempty"`
}

type BusyMessage struct {
	ID int64 `json:"id,omitempty" yaml:"id,omitempty"`
}

type ConfigurationMessage struct {
	LinkPreviews                   *Optional `json:"linkPreviews,omitempty" yaml:"linkPreviews,omitempty"`
	ReadReceipts                   *Optional `json:"readReceipts,omitempty" yaml:"readReceipts,omitempty"`
	TypingIndicators               *Optional `json:"typingIndicators,omitempty" yaml:"typingIndicators,omitempty"`
	UnidentifiedDeliveryIndicators *Optional `json:"unidentifiedDeliveryIndicators,omitempty" yaml:"unidentifiedDeliveryIndicators,omitempty"`
}

type DeviceInfo struct {
	Created  int64  `json:"created,omitempty" yaml:"created,omitempty"`
	ID       int64  `json:"id,omitempty" yaml:"id,omitempty"`
	LastSeen int64  `json:"lastSeen,omitempty" yaml:"lastSeen,omitempty"`
	Name     string `json:"name,omitempty" yaml:"name,omitempty"`
}

type HangupMessage struct {
	DeviceId int32 `json:"deviceId,omitempty" yaml:"deviceId,omitempty"`
	ID       int64 `json:"id,omitempty" yaml:"id,omitempty"`
	Legacy   bool  `json:"legacy,omitempty" yaml:"legacy,omitempty"`
	Type     *Type `json:"type,omitempty" yaml:"type,omitempty"`
}

type IceUpdateMessage struct {
	ID     int64  `json:"id,omitempty" yaml:"id,omitempty"`
	Opaque string `json:"opaque,omitempty" yaml:"opaque,omitempty"`
	Sdp    string `json:"sdp,omitempty" yaml:"sdp,omitempty"`
}

type JsonAccount struct {
	DeviceId   int32  `json:"deviceId,omitempty" yaml:"deviceId,omitempty"`
	Filename   string `json:"filename,omitempty" yaml:"filename,omitempty"`
	Has_keys   bool   `json:"has_keys,omitempty" yaml:"has_keys,omitempty"`
	Registered bool   `json:"registered,omitempty" yaml:"registered,omitempty"`
	Subscribed bool   `json:"subscribed,omitempty" yaml:"subscribed,omitempty"`
	Username   string `json:"username,omitempty" yaml:"username,omitempty"`
	UUID       string `json:"uuid,omitempty" yaml:"uuid,omitempty"`
}

type JsonAccountList struct {
	Accounts []*JsonAccount `json:"accounts,omitempty" yaml:"accounts,omitempty"`
}

type JsonAttachment struct {
	Blurhash       string `json:"blurhash,omitempty" yaml:"blurhash,omitempty"`
	Caption        string `json:"caption,omitempty" yaml:"caption,omitempty"`
	ContentType    string `json:"contentType,omitempty" yaml:"contentType,omitempty"`
	CustomFilename string `json:"customFilename,omitempty" yaml:"customFilename,omitempty"`
	Digest         string `json:"digest,omitempty" yaml:"digest,omitempty"`
	Filename       string `json:"filename,omitempty" yaml:"filename,omitempty"`
	Height         int32  `json:"height,omitempty" yaml:"height,omitempty"`
	ID             string `json:"id,omitempty" yaml:"id,omitempty"`
	Key            string `json:"key,omitempty" yaml:"key,omitempty"`
	Size           int32  `json:"size,omitempty" yaml:"size,omitempty"`
	StoredFilename string `json:"storedFilename,omitempty" yaml:"storedFilename,omitempty"`
	VoiceNote      bool   `json:"voiceNote,omitempty" yaml:"voiceNote,omitempty"`
	Width          int32  `json:"width,omitempty" yaml:"width,omitempty"`
}

type JsonCallMessage struct {
	AnswerMessage       *AnswerMessage      `json:"answerMessage,omitempty" yaml:"answerMessage,omitempty"`
	BusyMessage         *BusyMessage        `json:"busyMessage,omitempty" yaml:"busyMessage,omitempty"`
	DestinationDeviceId int32               `json:"destinationDeviceId,omitempty" yaml:"destinationDeviceId,omitempty"`
	HangupMessage       *HangupMessage      `json:"hangupMessage,omitempty" yaml:"hangupMessage,omitempty"`
	IceUpdateMessages   []*IceUpdateMessage `json:"iceUpdateMessages,omitempty" yaml:"iceUpdateMessages,omitempty"`
	IsMultiRing         bool                `json:"isMultiRing,omitempty" yaml:"isMultiRing,omitempty"`
	OfferMessage        *OfferMessage       `json:"offerMessage,omitempty" yaml:"offerMessage,omitempty"`
}

type JsonPreview struct {
	Attachment *JsonAttachment `json:"attachment,omitempty" yaml:"attachment,omitempty"`
	Title      string          `json:"title,omitempty" yaml:"title,omitempty"`
	Url        string          `json:"url,omitempty" yaml:"url,omitempty"`
}

type JsonQuotedAttachment struct {
	ContentType string          `json:"contentType,omitempty" yaml:"contentType,omitempty"`
	FileName    string          `json:"fileName,omitempty" yaml:"fileName,omitempty"`
	Thumbnail   *JsonAttachment `json:"thumbnail,omitempty" yaml:"thumbnail,omitempty"`
}

type JsonReceiptMessage struct {
	Timestamps []int64 `json:"timestamps,omitempty" yaml:"timestamps,omitempty"`
	Type       string  `json:"type,omitempty" yaml:"type,omitempty"`
	When       int64   `json:"when,omitempty" yaml:"when,omitempty"`
}

type JsonSticker struct {
	Attachment *JsonAttachment `json:"attachment,omitempty" yaml:"attachment,omitempty"`
	PackID     string          `json:"packID,omitempty" yaml:"packID,omitempty"`
	PackKey    string          `json:"packKey,omitempty" yaml:"packKey,omitempty"`
	StickerID  int32           `json:"stickerID,omitempty" yaml:"stickerID,omitempty"`
}

type JsonStickerPackOperationMessage struct {
	PackID  string `json:"packID,omitempty" yaml:"packID,omitempty"`
	PackKey string `json:"packKey,omitempty" yaml:"packKey,omitempty"`
	Type    string `json:"type,omitempty" yaml:"type,omitempty"`
}

type JsonTypingMessage struct {
	Action    string `json:"action,omitempty" yaml:"action,omitempty"`
	GroupId   string `json:"groupId,omitempty" yaml:"groupId,omitempty"`
	Timestamp int64  `json:"timestamp,omitempty" yaml:"timestamp,omitempty"`
}

type Name struct {
	Display *Optional `json:"display,omitempty" yaml:"display,omitempty"`
	Family  *Optional `json:"family,omitempty" yaml:"family,omitempty"`
	Given   *Optional `json:"given,omitempty" yaml:"given,omitempty"`
	Middle  *Optional `json:"middle,omitempty" yaml:"middle,omitempty"`
	Prefix  *Optional `json:"prefix,omitempty" yaml:"prefix,omitempty"`
	Suffix  *Optional `json:"suffix,omitempty" yaml:"suffix,omitempty"`
}

type OfferMessage struct {
	ID     int64  `json:"id,omitempty" yaml:"id,omitempty"`
	Opaque string `json:"opaque,omitempty" yaml:"opaque,omitempty"`
	Sdp    string `json:"sdp,omitempty" yaml:"sdp,omitempty"`
	Type   *Type  `json:"type,omitempty" yaml:"type,omitempty"`
}

type Optional struct {
	Present bool `json:"present,omitempty" yaml:"present,omitempty"`
}

type RemoteDelete struct {
	TargetSentTimestamp int64 `json:"targetSentTimestamp,omitempty" yaml:"targetSentTimestamp,omitempty"`
}

type SharedContact struct {
	Address      *Optional `json:"address,omitempty" yaml:"address,omitempty"`
	Avatar       *Optional `json:"avatar,omitempty" yaml:"avatar,omitempty"`
	Email        *Optional `json:"email,omitempty" yaml:"email,omitempty"`
	Name         *Name     `json:"name,omitempty" yaml:"name,omitempty"`
	Organization *Optional `json:"organization,omitempty" yaml:"organization,omitempty"`
	Phone        *Optional `json:"phone,omitempty" yaml:"phone,omitempty"`
}

type Success struct {
	Duration     int64 `json:"duration,omitempty" yaml:"duration,omitempty"`
	NeedsSync    bool  `json:"needsSync,omitempty" yaml:"needsSync,omitempty"`
	Unidentified bool  `json:"unidentified,omitempty" yaml:"unidentified,omitempty"`
}

type Type struct {
}
