package v1alpha1

// DO NOT EDIT: this file is automatically generated by ./tools/generator in this repo

import (
	"gitlab.com/signald/signald-go/signald/client-protocol/v0"
	"gitlab.com/signald/signald-go/signald/client-protocol/v1"
)

type Request struct {
	ID      string `json:"id" yaml:"id"`
	Version string `json:"version" yaml:"version"`
	Type    string `json:"type" yaml:"type"`
}

// AcceptInvitationRequest: Accept a v2 group invitation. Note that you must have a profile name set to join groups.
type AcceptInvitationRequest struct {
	Request
	Account string `json:"account,omitempty" yaml:"account,omitempty"` // The account to interact with
	GroupID string `json:"groupID,omitempty" yaml:"groupID,omitempty"`
}

// ApproveMembershipRequest: approve a request to join a group
type ApproveMembershipRequest struct {
	Request
	Account string            `json:"account,omitempty" yaml:"account,omitempty"` // The account to interact with
	GroupID string            `json:"groupID,omitempty" yaml:"groupID,omitempty"`
	Members []*v1.JsonAddress `json:"members,omitempty" yaml:"members,omitempty"` // list of requesting members to approve
}

// GetGroupRequest: Query the server for the latest state of a known group
type GetGroupRequest struct {
	Request
	Account  string `json:"account,omitempty" yaml:"account,omitempty"` // The account to interact with
	GroupID  string `json:"groupID,omitempty" yaml:"groupID,omitempty"`
	Revision int32  `json:"revision,omitempty" yaml:"revision,omitempty"` // the latest known revision, default value (-1) forces fetch from server
}

// GetLinkedDevicesRequest: list all linked devices on a Signal account
type GetLinkedDevicesRequest struct {
	Request
	Account string `json:"account,omitempty" yaml:"account,omitempty"` // The account to interact with
}

// JoinGroupRequest: Join a group using the a signal.group URL. Note that you must have a profile name set to join groups.
type JoinGroupRequest struct {
	Request
	Account string `json:"account,omitempty" yaml:"account,omitempty"` // The account to interact with
	Uri     string `json:"uri,omitempty" yaml:"uri,omitempty"`         // The signal.group URL
}

type JsonGroupJoinInfo struct {
	AddFromInviteLink    int32  `json:"addFromInviteLink,omitempty" yaml:"addFromInviteLink,omitempty"`
	GroupID              string `json:"groupID,omitempty" yaml:"groupID,omitempty"`
	MemberCount          int32  `json:"memberCount,omitempty" yaml:"memberCount,omitempty"`
	PendingAdminApproval bool   `json:"pendingAdminApproval,omitempty" yaml:"pendingAdminApproval,omitempty"`
	Revision             int32  `json:"revision,omitempty" yaml:"revision,omitempty"`
	Title                string `json:"title,omitempty" yaml:"title,omitempty"`
}

type JsonGroupV2Info struct {
	ID                string            `json:"id,omitempty" yaml:"id,omitempty"`
	InviteLink        string            `json:"inviteLink,omitempty" yaml:"inviteLink,omitempty"`
	Members           []*v1.JsonAddress `json:"members,omitempty" yaml:"members,omitempty"`
	PendingMembers    []*v1.JsonAddress `json:"pendingMembers,omitempty" yaml:"pendingMembers,omitempty"`
	RequestingMembers []*v1.JsonAddress `json:"requestingMembers,omitempty" yaml:"requestingMembers,omitempty"`
	Revision          int32             `json:"revision,omitempty" yaml:"revision,omitempty"`
	Timer             int32             `json:"timer,omitempty" yaml:"timer,omitempty"`
	Title             string            `json:"title,omitempty" yaml:"title,omitempty"`
}

type LinkedDevices struct {
	Devices []*v0.DeviceInfo `json:"devices,omitempty" yaml:"devices,omitempty"`
}

type ProtocolRequest struct {
	Request
}

// RemoveLinkedDeviceRequest: Remove a linked device from the Signal account. Only allowed when the local device id is 1
type RemoveLinkedDeviceRequest struct {
	Request
	Account  string `json:"account,omitempty" yaml:"account,omitempty"`   // The account to interact with
	DeviceId int64  `json:"deviceId,omitempty" yaml:"deviceId,omitempty"` // the ID of the device to unlink
}

// UpdateGroupRequest: modify a group. only v2 groups for now
type UpdateGroupRequest struct {
	Request
	Account       string            `json:"account,omitempty" yaml:"account,omitempty"` // The account to interact with
	AddMembers    []*v1.JsonAddress `json:"addMembers,omitempty" yaml:"addMembers,omitempty"`
	GroupID       string            `json:"groupID,omitempty" yaml:"groupID,omitempty"`
	RemoveMembers []*v1.JsonAddress `json:"removeMembers,omitempty" yaml:"removeMembers,omitempty"`
	Title         string            `json:"title,omitempty" yaml:"title,omitempty"`
}
